/*
####################################################################
# DEBRECENI VIRTUÁLIS SZOBORPARK                                   #
# GOOGLEMAPS.JS                                                    #
# A Google Maps szolgáltatásának inicializálására                  #
#                                                                  #
# (C) Debreceni Városi Könyvtár 2008.04.22.                        #
# Készítette: Lente Tamás                                          #
####################################################################
*/

    var map = null;
    var geocoder = null;
    
    function initialize(address) {
      if (GBrowserIsCompatible()) {
        map = new GMap2(document.getElementById("map_canvas"));
        map.setCenter(new GLatLng(47.530161,21.624810), 15);
        geocoder = new GClientGeocoder();
      }
      if (geocoder) {
        geocoder.getLatLng(
          address,
          function(point) {
            if (!point) {
              alert(address + " nem található");
            } else {
              map.setCenter(point, 15);
              var marker = new GMarker(point);
              map.addOverlay(marker);
              //marker.openInfoWindowHtml("<h4>A műalkotás itt látható</h4>");
            }
          }
        );
      }
    }
